# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hamelin_analysis"
version = "0.7.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Analysis utilities for Hamelin query language"
homepage = "https://hamelin.sh"
documentation = "https://hamelin.sh/docs/introduction"
readme = "README.md"
license-file = "license.txt"
repository = "https://github.com/perpetualsystems/hamelin"

[lib]
name = "hamelin_analysis"
path = "src/lib.rs"
doctest = false

[dependencies.anyhow]
version = "1.0.91"

[dependencies.chrono]
version = "0.4.42"

[dependencies.chronoutil]
version = "0.2.7"

[dependencies.hamelin_eval]
version = "0.7.1"

[dependencies.hamelin_lib]
version = "0.7.1"

[dependencies.thiserror]
version = "2.0.12"

[dev-dependencies.rstest]
version = "0.23.0"

[lints.clippy]
self_named_module_files = "deny"
